com.oracle.truffle.api.dsl.internal

## Interface DSLNode

    public interface DSLNode

This is NOT public API. Do not use directly. This code may change without notice.

### Method Summary

Methods
`void` `adoptChildren0(Node other, Node next)`
`DSLMetadata` `getMetadata0()`
`Node` `getNext0()`
`void` `updateTypes0(java.lang.Class<?>[] types)`

### Method Detail

#### getMetadata0

    DSLMetadata getMetadata0()

#### adoptChildren0

    void adoptChildren0(Node other,
                      Node next)

#### updateTypes0

    void updateTypes0(java.lang.Class<?>[] types)

#### getNext0

    Node getNext0()